WfTemplatesView (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client.view
Class WfTemplatesView

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.gcube.portlets.admin.wftemplates.client.view.WfTemplatesView

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget, WfTemplatesPresenter.Display

    public class WfTemplatesView

extends com.google.gwt.user.client.ui.Composite
implements WfTemplatesPresenter.Display

`WfTemplatesView` class is the view component of this webapp in the MVP Pattern

Version:
  May 2011 (0.1)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary
`static int` | `TEMPLATES_PER_PAGE`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`WfTemplatesView()` constructor

Method Summary
`void` | `addNewRoles(com.orange.links.client.connection.Connection selectedEdge, String toDisplay)`
`void` | `addNewStep(String stepName, String description, int... leftTop)` add a new step to the canvas
`com.google.gwt.user.client.ui.Widget` | `asWidget()`
`void` | `displaySelectedWfTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph graph, com.orange.links.client.event.TieLinkHandler linkHandler, com.google.gwt.event.shared.HandlerManager eventBus)` display the selected template in the view
`void` | `enableDeleteButton(boolean enabled)`
`void` | `enableDropPanel(boolean enabled)`
`void` | `enableGraphControlPanel(boolean enabled)`
`void` | `enableSaveButton(boolean enabled)`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getAddNewStepButton()`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getCreateNewButton()` BUTTONS / Table GETTERS
`com.google.gwt.event.dom.client.HasClickHandlers` | `getDeleteButton()`
`MyDiagramController` | `getDiagramController()`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getResetButton()`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getSaveButton()`
`com.google.gwt.view.client.SingleSelectionModel<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate>` | `getTableSelectionModel()`
`void` | `resetView()`
`void` | `setData(List<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> list)`
`void` | `showCreateNewTemplate(com.orange.links.client.event.TieLinkHandler linkHandler, com.google.gwt.event.shared.HandlerManager eventBus)` shows the create new template view
`void` | `showLoading(boolean show)`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEMPLATES_PER_PAGE

    public static final int TEMPLATES_PER_PAGE

See Also:
  Constant Field Values

Constructor Detail

### WfTemplatesView

    public WfTemplatesView()

  constructor

Method Detail

### resetView

    public void resetView()

  Specified by:
    `resetView` in interface `WfTemplatesPresenter.Display`

### setData

    public void setData(List<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> list)

  Specified by:
    `setData` in interface `WfTemplatesPresenter.Display`
  Parameters:
    `table` -

### getCreateNewButton

    public com.google.gwt.event.dom.client.HasClickHandlers getCreateNewButton()

  BUTTONS / Table GETTERS

  Specified by:
    `getCreateNewButton` in interface `WfTemplatesPresenter.Display`

### getDeleteButton

    public com.google.gwt.event.dom.client.HasClickHandlers getDeleteButton()

  Specified by:
    `getDeleteButton` in interface `WfTemplatesPresenter.Display`

### getSaveButton

    public com.google.gwt.event.dom.client.HasClickHandlers getSaveButton()

  Specified by:
    `getSaveButton` in interface `WfTemplatesPresenter.Display`

### getResetButton

    public com.google.gwt.event.dom.client.HasClickHandlers getResetButton()

  Specified by:
    `getResetButton` in interface `WfTemplatesPresenter.Display`

### getAddNewStepButton

    public com.google.gwt.event.dom.client.HasClickHandlers getAddNewStepButton()

  Specified by:
    `getAddNewStepButton` in interface `WfTemplatesPresenter.Display`

### getDiagramController

    public MyDiagramController getDiagramController()

  Specified by:
    `getDiagramController` in interface `WfTemplatesPresenter.Display`

### getTableSelectionModel

    public com.google.gwt.view.client.SingleSelectionModel<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> getTableSelectionModel()

  Specified by:
    `getTableSelectionModel` in interface `WfTemplatesPresenter.Display`

### displaySelectedWfTemplate

    public void displaySelectedWfTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph graph,
                                          com.orange.links.client.event.TieLinkHandler linkHandler,
                                          com.google.gwt.event.shared.HandlerManager eventBus)

  display the selected template in the view

  Specified by:
    `displaySelectedWfTemplate` in interface `WfTemplatesPresenter.Display`

### showCreateNewTemplate

    public void showCreateNewTemplate(com.orange.links.client.event.TieLinkHandler linkHandler,
                                      com.google.gwt.event.shared.HandlerManager eventBus)

  shows the create new template view

  Specified by:
    `showCreateNewTemplate` in interface `WfTemplatesPresenter.Display`
  Parameters:
    `width` -
    `height` -

### enableDropPanel

    public void enableDropPanel(boolean enabled)

  Specified by:
    `enableDropPanel` in interface `WfTemplatesPresenter.Display`

### addNewStep

    public void addNewStep(String stepName,
                           String description,
                           int... leftTop)

  add a new step to the canvas

  Specified by:
    `addNewStep` in interface `WfTemplatesPresenter.Display`

### addNewRoles

    public void addNewRoles(com.orange.links.client.connection.Connection selectedEdge,
                            String toDisplay)

  Specified by:
    `addNewRoles` in interface `WfTemplatesPresenter.Display`

### enableSaveButton

    public void enableSaveButton(boolean enabled)

  Specified by:
    `enableSaveButton` in interface `WfTemplatesPresenter.Display`

### asWidget

    public com.google.gwt.user.client.ui.Widget asWidget()

  Specified by:
    `asWidget` in interface `com.google.gwt.user.client.ui.IsWidget`
  Specified by:
    `asWidget` in interface `WfTemplatesPresenter.Display`
  Overrides:
    `asWidget` in class `com.google.gwt.user.client.ui.Widget`

### showLoading

    public void showLoading(boolean show)

  Specified by:
    `showLoading` in interface `WfTemplatesPresenter.Display`

### enableGraphControlPanel

    public void enableGraphControlPanel(boolean enabled)

  Specified by:
    `enableGraphControlPanel` in interface `WfTemplatesPresenter.Display`

### enableDeleteButton

    public void enableDeleteButton(boolean enabled)

  Specified by:
    `enableDeleteButton` in interface `WfTemplatesPresenter.Display`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.